<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="DoxyPress 1.2.10"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Accessories: D:/Mes documents/Trusty/Arduino/Libraries/Accessories/src/PortServo.cpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxypress.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by DoxyPress -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Accessories
   </div>
   <div id="projectbrief">Arduino for motors and lights library.</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by DoxyPress 1.2.10 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('PortServo_8cpp_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">PortServo.cpp</div>  </div>
  <div class="clear-floats"></div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*************************************************************</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">project: &lt;Accessories&gt;</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">author: &lt;Thierry PARIS&gt;</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">description: &lt;Driver port for a servo on Arduino&gt;</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">*************************************************************/</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;</div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="Accessories_8h.html">Accessories.h</a>&quot;</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;</div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#ifndef NO_SERVO</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;</div><div class="line"><a name="l00011"></a><span class="lineno"><a class="line" href="classPortServo.html#a95ced214604b8539e4acdfb175950b19">   11</a></span>&#160;<a class="code" href="classPortServo.html#a95ced214604b8539e4acdfb175950b19">PortServo::PortServo</a>() : <a class="code" href="classPort.html">Port</a>()</div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;{</div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;    this-&gt;<a class="code" href="classPortServo.html#a7fea8a921f760510ee69b1f8f088db96">pin</a> = -1;</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;    this-&gt;<a class="code" href="classPort.html#ad7ef0d65cab5721a7e2d9b2a71663eef">pinType</a> = DIGITAL;</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;}</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;</div><div class="line"><a name="l00017"></a><span class="lineno"><a class="line" href="classPortServo.html#a0c9bcdb26de1fb26cd0150efa75214e4">   17</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classPort.html#a110847fdec661d0e94a3a22edd9fe32a">PortServo::begin</a>(<span class="keywordtype">int</span> inPin)</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;{</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;    CHECKPIN(Arduino_to_GPIO_pin(inPin), this-&gt;<a class="code" href="classPort.html#ad7ef0d65cab5721a7e2d9b2a71663eef">pinType</a>, <span class="stringliteral">&quot;PortServo::begin&quot;</span>);</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;    this-&gt;<a class="code" href="classPortServo.html#a7fea8a921f760510ee69b1f8f088db96">pin</a> = inPin;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;    this-&gt;<a class="code" href="classPortServo.html#a892b529df0ad7376695f9414e6fea5db">servo</a>.attach(this-&gt;<a class="code" href="classPortServo.html#a7fea8a921f760510ee69b1f8f088db96">pin</a>);</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;}</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;</div><div class="line"><a name="l00024"></a><span class="lineno"><a class="line" href="classPortServo.html#a284e4473a11cbe908ba1db87a40c91bd">   24</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classPortServo.html#a284e4473a11cbe908ba1db87a40c91bd">PortServo::beginByAccessory</a>(<span class="keywordtype">int</span> inStartingPosition)</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;{</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="preprocessor">#ifdef ACCESSORIES_DEBUG_MODE</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;    Serial.print(F(<span class="stringliteral">&quot;  PortServo &quot;</span>));</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;    Serial.print(this-&gt;<a class="code" href="classPortServo.html#a7fea8a921f760510ee69b1f8f088db96">pin</a>);</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;    Serial.print(F(<span class="stringliteral">&quot; beginByAccessory() &quot;</span>));</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;    Serial.print(F(<span class="stringliteral">&quot;Starting pos: &quot;</span>));</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;    Serial.println(inStartingPosition, DEC);</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="preprocessor">#ifdef ACCESSORIES_DEBUG_MODE</span></div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;    <span class="keywordflow">if</span> (!this-&gt;<a class="code" href="classPortServo.html#a892b529df0ad7376695f9414e6fea5db">servo</a>.attached())</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;        Serial.println(F(<span class="stringliteral">&quot;Invalid servo beginByAccessory().&quot;</span>));</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;    this-&gt;<a class="code" href="classPortServo.html#a892b529df0ad7376695f9414e6fea5db">servo</a>.write(inStartingPosition);</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;}</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;</div><div class="line"><a name="l00042"></a><span class="lineno"><a class="line" href="classPortServo.html#a362a0eba0e7219cca64cae736c407e1a">   42</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classPortServo.html#a362a0eba0e7219cca64cae736c407e1a">PortServo::MovePosition</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inDuration, <span class="keywordtype">int</span> inEndPosition)</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;{</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;<span class="preprocessor">#ifdef ACCESSORIES_DEBUG_MODE</span></div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;    Serial.print(F(<span class="stringliteral">&quot;  PortServo &quot;</span>));</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;    Serial.print(this-&gt;<a class="code" href="classPortServo.html#a7fea8a921f760510ee69b1f8f088db96">pin</a>);</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;    Serial.print(F(<span class="stringliteral">&quot; MovePosition() &quot;</span>));</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;    <span class="keywordflow">if</span> (inDuration != 0)</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;    {</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;        Serial.print(F(<span class="stringliteral">&quot;for &quot;</span>));</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;        Serial.print(inDuration);</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;        Serial.print(F(<span class="stringliteral">&quot;ms &quot;</span>));</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;    }</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;    Serial.print(F(<span class="stringliteral">&quot;to angle &quot;</span>));</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;    Serial.println(inEndPosition);</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;    this-&gt;<a class="code" href="classPortServo.html#a892b529df0ad7376695f9414e6fea5db">servo</a>.write(inEndPosition);</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;}</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;</div><div class="line"><a name="l00060"></a><span class="lineno"><a class="line" href="classPortServo.html#adf5231931fec08758d8287c079fe2bba">   60</a></span>&#160;<span class="keywordtype">int</span> <a class="code" href="classPortServo.html#adf5231931fec08758d8287c079fe2bba">PortServo::GetPosition</a>()</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;{</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;    <span class="keywordflow">return</span> this-&gt;<a class="code" href="classPortServo.html#a892b529df0ad7376695f9414e6fea5db">servo</a>.read();</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;}</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;<span class="preprocessor">#ifdef ACCESSORIES_PRINT_ACCESSORIES</span></div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;<span class="keywordtype">void</span> PortServo::printPort()</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;{</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;    Serial.print(F(<span class="stringliteral">&quot;[PortServo pin:&quot;</span>));</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;    Serial.print(this-&gt;<a class="code" href="classPortServo.html#a7fea8a921f760510ee69b1f8f088db96">pin</a>);</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;    Serial.print(F(<span class="stringliteral">&quot;]&quot;</span>));</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;}</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="classPortServo_html_adf5231931fec08758d8287c079fe2bba"><div class="ttname"><a href="classPortServo.html#adf5231931fec08758d8287c079fe2bba">PortServo::GetPosition</a></div><div class="ttdeci">int GetPosition()</div><div class="ttdef"><b>Definition:</b> <a href="PortServo_8cpp_source.html#l00060">PortServo.cpp:60</a></div></div>
<div class="ttc" id="classPortServo_html_a362a0eba0e7219cca64cae736c407e1a"><div class="ttname"><a href="classPortServo.html#a362a0eba0e7219cca64cae736c407e1a">PortServo::MovePosition</a></div><div class="ttdeci">void MovePosition(unsigned long inDuration, int inEndPosition)</div><div class="ttdef"><b>Definition:</b> <a href="PortServo_8cpp_source.html#l00042">PortServo.cpp:42</a></div></div>
<div class="ttc" id="classPortServo_html_a284e4473a11cbe908ba1db87a40c91bd"><div class="ttname"><a href="classPortServo.html#a284e4473a11cbe908ba1db87a40c91bd">PortServo::beginByAccessory</a></div><div class="ttdeci">void beginByAccessory(int inStartingPosition)</div><div class="ttdef"><b>Definition:</b> <a href="PortServo_8cpp_source.html#l00024">PortServo.cpp:24</a></div></div>
<div class="ttc" id="classPortServo_html_a892b529df0ad7376695f9414e6fea5db"><div class="ttname"><a href="classPortServo.html#a892b529df0ad7376695f9414e6fea5db">PortServo::servo</a></div><div class="ttdeci">Servo servo</div><div class="ttdef"><b>Definition:</b> <a href="PortServo_8hpp_source.html#l00019">PortServo.hpp:19</a></div></div>
<div class="ttc" id="classPort_html_a110847fdec661d0e94a3a22edd9fe32a"><div class="ttname"><a href="classPort.html#a110847fdec661d0e94a3a22edd9fe32a">Port::begin</a></div><div class="ttdeci">virtual void begin()</div><div class="ttdef"><b>Definition:</b> <a href="Port_8hpp_source.html#l00099">Port.hpp:99</a></div></div>
<div class="ttc" id="classPort_html_ad7ef0d65cab5721a7e2d9b2a71663eef"><div class="ttname"><a href="classPort.html#ad7ef0d65cab5721a7e2d9b2a71663eef">Port::pinType</a></div><div class="ttdeci">PIN_TYPE pinType</div><div class="ttdef"><b>Definition:</b> <a href="Port_8hpp_source.html#l00065">Port.hpp:65</a></div></div>
<div class="ttc" id="classPortServo_html_a7fea8a921f760510ee69b1f8f088db96"><div class="ttname"><a href="classPortServo.html#a7fea8a921f760510ee69b1f8f088db96">PortServo::pin</a></div><div class="ttdeci">int pin</div><div class="ttdef"><b>Definition:</b> <a href="PortServo_8hpp_source.html#l00017">PortServo.hpp:17</a></div></div>
<div class="ttc" id="classPort_html"><div class="ttname"><a href="classPort.html">Port</a></div><div class="ttdef"><b>Definition:</b> <a href="Port_8hpp_source.html#l00061">Port.hpp:61</a></div></div>
<div class="ttc" id="classPortServo_html_a95ced214604b8539e4acdfb175950b19"><div class="ttname"><a href="classPortServo.html#a95ced214604b8539e4acdfb175950b19">PortServo::PortServo</a></div><div class="ttdeci">PortServo()</div><div class="ttdef"><b>Definition:</b> <a href="PortServo_8cpp_source.html#l00011">PortServo.cpp:11</a></div></div>
<div class="ttc" id="Accessories_8h_html"><div class="ttname"><a href="Accessories_8h.html">Accessories.h</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- Generated by DoxyPress 1.2.10 -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d41d8cd98f00b204e9800998ecf8427e.html">src</a></li><li class="navelem"><b>PortServo.cpp</b></li>
    <li class="footer">Generated on mer. oct. 18 2017 17:44:46 for Accessories &nbsp; by
    <a href="http://www.copperspice.com/documentation-doxypress.html">
    <img class="footer" src="doxypress.png" alt="DoxyPress"/></a> 1.2.10 </li>
  </ul>
</div>
</body>
</html>
